Subject: Re: bug#79009: [PATCH] Improve 'vtable' object handling, cache handling, messages

From: Stéphane Marks <[email-masked]>
Date: Sat, 16 Aug 2025 09:40:34 -0400

On Sat, Aug 16, 2025 at 6:36 AM Eli Zaretskii <[email-masked]> wrote:

> > From: Stéphane Marks <[email-masked]>
> > Date: Sat, 2 Aug 2025 10:22:15 -0400
> > Cc: [email-masked], [email-masked], [email-masked],
> >       [email-masked], [email-masked],
> [email-masked],
> >       [email-masked], [email-masked], [email-masked],
> [email-masked]
> >
> > On Sat, Aug 2, 2025 at 9:47 AM Eli Zaretskii <[email-masked]> wrote:
> >
> >  > Cc: Spencer Baugh <[email-masked]>,
> >  >  Kristoffer Balintona <[email-masked]>,
> >  >  Joost Kremers <[email-masked]>, [email-masked],
> >  >  Visuwesh <[email-masked]>, Adam Porter <[email-masked]>,
> >  >  Lars Ingebrigtsen <[email-masked]>, Augusto Stoffel <
> [email-masked]>,
> >  >  [email-masked]
> >  > From: [email-masked]
> >  > Date: Wed, 16 Jul 2025 22:02:56 +0000 (UTC)
> >  >
> >  > > My patch is self consistent as far as I can tell.
> >  > >
> >  > > Once we decide on if we leave equal semantics to the caller, for
> example, vtable-goto-object call
> >  site first locating an object on
> >  > > its own, then relying on eq semantics to move point, or allow users
> to define -object-equal, the rest
> >  of my related changes
> >  > > (coming shortly after we conclude this part of the discussion) have
> more cache items repaired, not
> >  just these.
> >  > >
> >  > > We can debate simplifying the cache in a new cache-related patch,
> yes?
> >  >
> >  > Sure.  If we debate it in a new patch, then don't change the cache in
> >  > this patch.  If you want to change the cache in this patch, then we
> have
> >  > to debate it now.
> >
> >  Can we please have an updated patch that we could discuss and perhaps
> >  install?
> >
> > I think the ball is in my court.  I've been on holiday (but obv reading
> email) and will get back to this soon.
>
> Any progress since then?
>

Still traveling. Once I return to "normal" I'll start attacking the vtable
list in digestible chunks with the group.  Don't worry--I won't forget this
project, I spent far too much time fixing vtable bugs and adding missing
features to let this go (plus, I volunteered to be the vtable maintainer,
right?).